# Interface PreProcessor

All Known Implementing Classes:
  `AnchorModifier, BeanShellPreProcessor, BSFPreProcessor, JDBCPreProcessor, JSR223PreProcessor, ParamModifier, RegExUserParameters, URLRewritingModifier, UserParameters`

public interface PreProcessor
PreProcessors are executed just prior to a sample being run.

Version:
  $Revision: 1377076 $

## Method Summary

Modifier and Type
Method
Description
`void`
`process()`

## Method Details

### process

void process()